<?php

// +---------------------------------------------------------------------------+
// | This file is part of the Mojavi package.                                  |
// | Copyright (c) 2003 Sean Kerr.                                             |
// |                                                                           |
// | For the full copyright and license information, please view the COPYRIGHT |
// | file that was distributed with this source code. If the COPYRIGHT file is |
// | missing, please visit the Mojavi homepage: http://www.mojavi.org          |
// +---------------------------------------------------------------------------+

/* include filter classes here */

// require_once(FILTER_DIR . 'ExecutionTimeFilter.class.php');
require_once(BASE_DIR . 'filters/SystemSlowCheckFilter.class.php');
require_once(BASE_DIR . 'filters/SystemCheckFilter.class.php');
require_once(BASE_DIR . 'filters/PostOverCheckFilter.class.php');
require_once(BASE_DIR . 'filters/GetLoginUserFilter.class.php');
require_once(BASE_DIR . 'filters/MobileGetCarrierFilter.class.php');
require_once(BASE_DIR . 'filters/MobileForwardFilter.class.php');
require_once(BASE_DIR . 'filters/DbSchemaCheckFilter.class.php');
require_once(FILTER_DIR . 'MessageFilter.class.php');
require_once(FILTER_DIR . 'ADODBConnectionFilter.class.php');
require_once(FILTER_DIR . 'ButtonForwardFilter.class.php');
require_once(BASE_DIR . 'filters/GuestAuthFilter.class.php');

class GlobalFilterList extends FilterList
{

    /**
     * Create a new GlobalFilterList instance.
     *
     * @access public
     * @since  1.0
     */
    function GlobalFilterList ()
    {

        parent::FilterList();

        /* create filter instances here */
        // $this->filters['ExecutionTimeFilter'] =& new ExecutionTimeFilter;
        // $this->filters['SystemSlowCheckFilter'] =& new SystemSlowCheckFilter;
        $this->filters['MessageFilter']          =& new MessageFilter;
        $this->filters['SystemCheckFilter']      =& new SystemCheckFilter;
        $this->filters['PostOverCheckFilter']    =& new PostOverCheckFilter;
        $this->filters['ADODBConnectionFilter']  =& new ADODBConnectionFilter;
        $this->filters['DbSchemaCheckFilter']    =& new DbSchemaCheckFilter;
        $this->filters['GuestAuthFilter']        =& new GuestAuthFilter;
        $this->filters['ButtonForwardFilter']    =& new ButtonForwardFilter;
        $this->filters['MobileGetCarrierFilter'] =& new MobileGetCarrierFilter;
        $this->filters['MobileForwardFilter']    =& new MobileForwardFilter;
        $this->filters['GetLoginUserFilter']     =& new GetLoginUserFilter;
    }
}
?>