#!/bin/sh

# check working directory
if [ -d dnblog/core/webapp/ ]; then
    cd .
else
    echo "dnblog/core/webapp is not found."
    exit
fi

#delete file or directory
if [ -f dnblog/core/webapp/filters/LicenseCheckFilter.class.php ]; then
    rm -f dnblog/core/webapp/filters/LicenseCheckFilter.class.php
fi

if [ -f dnblog/core/webapp/lib/Smarty/plugins/function.mojavi_uri_noesc.php ]; then
    rm -f dnblog/core/webapp/lib/Smarty/plugins/function.mojavi_uri_noesc.php
fi

if [ -f dnblog/core/webapp/modules/Default/config.php ]; then
    rm -f dnblog/core/webapp/modules/Default/config.php
fi

if [ -f dnblog/images/header_logo.gif ]; then
    rm -f dnblog/images/header_logo.gif
fi

if [ -d dnblog/core/webapp/tmp/templates_c ]; then
    rm -fr dnblog/core/webapp/tmp/templates_c/*
fi
