/*1*/ ALTER TABLE bm_blog ADD COLUMN mailentry_public char(1);
/*1*/ ALTER TABLE bm_blog ALTER COLUMN mailentry_public SET DEFAULT '0';
/*1*/ update bm_blog set mailentry_public = '0';
/*1*/ ALTER TABLE bm_blog ADD COLUMN mailentry_category integer;
/*1*/ ALTER TABLE bm_blog ADD COLUMN mailentry_directory integer;
/*1*/ ALTER TABLE bm_blog ADD COLUMN mailentry_newline char(1);
/*1*/ ALTER TABLE bm_blog ALTER COLUMN mailentry_newline SET DEFAULT '1';
/*1*/ update bm_blog set mailentry_newline = '1';
/*1*/ ALTER TABLE bm_blog ADD COLUMN mailentry_align char(1);
/*1*/ ALTER TABLE bm_blog ALTER COLUMN mailentry_align SET DEFAULT '2';
/*1*/ update bm_blog set mailentry_align = '2';
/*1*/ COMMENT ON COLUMN bm_blog.mailentry_public IS 'メール投稿：公開設定';
/*1*/ COMMENT ON COLUMN bm_blog.mailentry_category IS 'メール投稿：カテゴリid';
/*1*/ COMMENT ON COLUMN bm_blog.mailentry_directory IS 'メール投稿：ディレクトリid';
/*1*/ COMMENT ON COLUMN bm_blog.mailentry_newline IS 'メール投稿：改行有効有無';
/*1*/ COMMENT ON COLUMN bm_blog.mailentry_align IS 'メール投稿：画像位置';
/*1*/ ALTER TABLE bm_setting ADD COLUMN logo_file_name varchar(255);
/*1*/ ALTER TABLE bm_setting ADD COLUMN logo_file_extension varchar(255);
/*1*/ ALTER TABLE bm_setting ADD COLUMN logo_mimetype varchar(127);
/*1*/ ALTER TABLE bm_setting ADD COLUMN logo_size bigint;
/*1*/ ALTER TABLE bm_setting ADD COLUMN logo_height integer;
/*1*/ ALTER TABLE bm_setting ADD COLUMN logo_width integer;
/*1*/ ALTER TABLE bm_setting ADD COLUMN logo_data bytea;
/*1*/ ALTER TABLE bm_setting ADD COLUMN portal_name varchar(255);
/*1*/ ALTER TABLE bm_setting ADD COLUMN db_version integer;
/*1*/ ALTER TABLE bm_setting ADD COLUMN allow_public_portal char(1);
/*1*/ COMMENT ON COLUMN bm_setting.logo_file_name IS 'ロゴ：実ファイル名';
/*1*/ COMMENT ON COLUMN bm_setting.logo_file_extension IS 'ロゴ：拡張子';
/*1*/ COMMENT ON COLUMN bm_setting.logo_mimetype IS 'ロゴ：MIME-TYPE';
/*1*/ COMMENT ON COLUMN bm_setting.logo_size IS 'ロゴ：ファイルサイズ';
/*1*/ COMMENT ON COLUMN bm_setting.logo_height IS 'ロゴ：高さ';
/*1*/ COMMENT ON COLUMN bm_setting.logo_width IS 'ロゴ：横幅';
/*1*/ COMMENT ON COLUMN bm_setting.logo_data IS 'ロゴ：実データ';
/*1*/ COMMENT ON COLUMN bm_setting.portal_name IS 'ポータル名';
/*1*/ COMMENT ON COLUMN bm_setting.db_version IS 'DBバージョン番号';
/*1*/ COMMENT ON COLUMN bm_setting.allow_public_portal IS 'ゲストの訪問（ポータル）';
/*1*/ ALTER TABLE ptm_user ADD COLUMN carrier_uid varchar(255);
/*1*/ COMMENT ON COLUMN ptm_user.carrier_uid IS '端末識別ID';
/*1*/ update bm_setting set allow_public_portal = '0';
